> ## Documentation Index
> Fetch the complete documentation index at: https://holder.docs.fiskil.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Concessions

> Obtain the details of any concessions or arrangements applied to a specific energy account



## OpenAPI

````yaml /openapi/cdr.yml get /v1/energy/customer/{customerId}/accounts/{accountId}/concessions
openapi: 3.0.3
info:
  description: Fiskil Data Holder as a Service (DHaaS) endpoints for the Energy sector
  title: Fiskil Data APIs
  version: 1.5.0
servers:
  - url: https://api.provider.fiskil.com
security:
  - bearerAuth: []
paths:
  /v1/energy/customer/{customerId}/accounts/{accountId}/concessions:
    get:
      tags:
        - Energy
        - Concessions
      summary: Get Concessions
      description: >-
        Obtain the details of any concessions or arrangements applied to a
        specific energy account
      operationId: getConcessions
      parameters:
        - $ref: '#/components/parameters/customerId'
        - $ref: '#/components/parameters/accountId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnergyConcessionsResponse'
          description: List of concessions for the provided energy account
        '404':
          $ref: '#/components/responses/responseErrorCustomerIdNotFound'
components:
  parameters:
    customerId:
      description: >-
        Unique ID of a customer. This ID must not change for the lifecycle of
        the customer
      explode: false
      in: path
      name: customerId
      required: true
      schema:
        type: string
      style: simple
    accountId:
      description: ID of a specific account to obtain data for.
      explode: false
      in: path
      name: accountId
      required: true
      schema:
        type: string
      style: simple
  schemas:
    EnergyConcessionsResponse:
      example:
        data:
          concessions:
            - amount: '150.00'
              endDate: '2025-12-31'
              displayName: Aus Gov Energy Rebate
              appliedTo:
                - INVOICE
              additionalInfo: >-
                The Australian Government has sponsored a once-off $150 rebate
                on utilities
              type: FIXED_AMOUNT
              discountFrequency: P1Y
              startDate: '2025-01-01'
      properties:
        data:
          $ref: '#/components/schemas/EnergyConcessionsResponse_data'
      required:
        - data
      type: object
    EnergyConcessionsResponse_data:
      properties:
        concessions:
          description: Array may be empty if no concessions exist
          items:
            $ref: '#/components/schemas/EnergyConcession'
          type: array
      required:
        - concessions
      type: object
    GenericError:
      example:
        error: An error message
      type: object
      properties:
        error:
          type: string
          description: A message describing what caused the error
      required:
        - error
    EnergyConcession:
      properties:
        type:
          description: Indicator of the method of concession calculation
          enum:
            - FIXED_AMOUNT
            - FIXED_PERCENTAGE
            - VARIABLE
          type: string
        displayName:
          description: The display name of the concession
          type: string
        additionalInfo:
          description: >-
            Display text providing more information on the concession. Mandatory
            if type is VARIABLE
          type: string
        additionalInfoUri:
          description: Optional link to additional information regarding the concession
          type: string
          x-cds-type: URIString
        startDate:
          description: Optional start date for the application of the concession
          type: string
          x-cds-type: DateString
        endDate:
          description: Optional end date for the application of the concession
          type: string
          x-cds-type: DateString
        discountFrequency:
          description: >-
            Conditional attribute for frequency at which a concession is
            applied. Required if type is FIXED_AMOUNT or FIXED_PERCENTAGE.
            Formatted according to [ISO 8601
            Durations](https://en.wikipedia.org/wiki/ISO_8601#Durations)
            (excludes recurrence syntax)
          type: string
          x-cds-type: ExternalRef
        amount:
          description: >-
            Conditional attribute for the amount of discount for the concession-
            required if type is FIXED_AMOUNT
          type: string
          x-cds-type: AmountString
        percentage:
          description: >-
            Conditional attribute for the percentage of discount of concession -
            required if type is FIXED_PERCENTAGE
          type: string
          x-cds-type: RateString
        appliedTo:
          description: >-
            Array of ENUM's to specify what the concession applies to. Multiple
            ENUM values can be provided. If absent, USAGE is assumed
          items:
            enum:
              - INVOICE
              - USAGE
              - SERVICE_CHARGE
              - CONTROLLED_LOAD
            type: string
          type: array
      required:
        - displayName
        - type
      type: object
      x-conditional:
        - additionalInfo
        - discountFrequency
        - amount
        - percentage
  responses:
    responseErrorCustomerIdNotFound:
      description: The customer ID in the URL path is invalid or not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GenericError'
            example:
              error: Customer not found
  securitySchemes:
    bearerAuth:
      description: >
        The Fiskil Data Provider will include a self-signed JWT as a Bearer
        token in the `Authorization` header.

        You should verify this JWT using the JWKS URL you can find for your Data
        Provider instance in the Fiskil

        Console. To verify the JWT you **must**:
          * Verify the signature
          * Ensure the token has not expired by checking the `exp` claim
          * The `sub` and `iss` claims are your data provider subdomain
          * The `aud` claim is the URI of the resource being requested (excluding any query parameters)
          * The `jti` value is unique
        For further detail on security and authentication refer to our
        [Authentication](/docs/get-started/authentication) documentation
      type: http
      scheme: bearer
      bearerFormat: JWT

````